Update User
curl --request PATCH \
--url http://127.0.0.1:3333/v3/users/{userId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"onboardingCategories": [
"<string>"
],
"displayedInAppNotifications": {},
"groupTitlesAutoGeneration": {
"isEnabled": true,
"provider": "<string>",
"credentialsId": "<string>",
"model": "<string>",
"prompt": "<string>"
},
"name": "<string>",
"image": "<string>",
"company": "<string>",
"preferredAppAppearance": "<string>",
"preferredLanguage": "<string>"
}
'import requests
url = "http://127.0.0.1:3333/v3/users/{userId}"
payload = {
"onboardingCategories": ["<string>"],
"displayedInAppNotifications": {},
"groupTitlesAutoGeneration": {
"isEnabled": True,
"provider": "<string>",
"credentialsId": "<string>",
"model": "<string>",
"prompt": "<string>"
},
"name": "<string>",
"image": "<string>",
"company": "<string>",
"preferredAppAppearance": "<string>",
"preferredLanguage": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
onboardingCategories: ['<string>'],
displayedInAppNotifications: {},
groupTitlesAutoGeneration: {
isEnabled: true,
provider: '<string>',
credentialsId: '<string>',
model: '<string>',
prompt: '<string>'
},
name: '<string>',
image: '<string>',
company: '<string>',
preferredAppAppearance: '<string>',
preferredLanguage: '<string>'
})
};
fetch('http://127.0.0.1:3333/v3/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"onboardingCategories": [
"<string>"
],
"displayedInAppNotifications": {},
"groupTitlesAutoGeneration": {
"isEnabled": true,
"provider": "<string>",
"credentialsId": "<string>",
"model": "<string>",
"prompt": "<string>"
},
"name": "<string>",
"image": "<string>",
"company": "<string>",
"graphNavigation": "MOUSE",
"preferredAppAppearance": "<string>",
"preferredLanguage": "<string>",
"email": "<string>"
}{
"message": "<string>"
}Users
Update User
Update User.
PATCH
/
v3
/
users
/
{userId}
Update User
curl --request PATCH \
--url http://127.0.0.1:3333/v3/users/{userId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"onboardingCategories": [
"<string>"
],
"displayedInAppNotifications": {},
"groupTitlesAutoGeneration": {
"isEnabled": true,
"provider": "<string>",
"credentialsId": "<string>",
"model": "<string>",
"prompt": "<string>"
},
"name": "<string>",
"image": "<string>",
"company": "<string>",
"preferredAppAppearance": "<string>",
"preferredLanguage": "<string>"
}
'import requests
url = "http://127.0.0.1:3333/v3/users/{userId}"
payload = {
"onboardingCategories": ["<string>"],
"displayedInAppNotifications": {},
"groupTitlesAutoGeneration": {
"isEnabled": True,
"provider": "<string>",
"credentialsId": "<string>",
"model": "<string>",
"prompt": "<string>"
},
"name": "<string>",
"image": "<string>",
"company": "<string>",
"preferredAppAppearance": "<string>",
"preferredLanguage": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
onboardingCategories: ['<string>'],
displayedInAppNotifications: {},
groupTitlesAutoGeneration: {
isEnabled: true,
provider: '<string>',
credentialsId: '<string>',
model: '<string>',
prompt: '<string>'
},
name: '<string>',
image: '<string>',
company: '<string>',
preferredAppAppearance: '<string>',
preferredLanguage: '<string>'
})
};
fetch('http://127.0.0.1:3333/v3/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"onboardingCategories": [
"<string>"
],
"displayedInAppNotifications": {},
"groupTitlesAutoGeneration": {
"isEnabled": true,
"provider": "<string>",
"credentialsId": "<string>",
"model": "<string>",
"prompt": "<string>"
},
"name": "<string>",
"image": "<string>",
"company": "<string>",
"graphNavigation": "MOUSE",
"preferredAppAppearance": "<string>",
"preferredLanguage": "<string>",
"email": "<string>"
}{
"message": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
MOUSE, TRACKPAD Response
Default Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
MOUSE, TRACKPAD